### Method

# Gegl Metadata iter_next

#### Declaration [src]

    const gchar*
    gegl_metadata_iter_next (
      GeglMetadata* metadata,
      GeglMetadataIter* iter
    )

#### Description [src]

Move the iterator to the next metadata item.

#### Parameters

`iter`

  Type: `GeglMetadataIter`

  `GeglMetadataIter` to be updated.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

Key name if found, else `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.